<?php
/**
 * Created for Schaffen IT.
 * User: Wellington Lima
 */

namespace Schaffen\Core\Product\Models;

use Illuminate\Database\Eloquent\Model;

class ProductSetupAttribute extends Model
{

   protected $connection = 'dynamicdb';
   protected $table = "produto.produto_setup_atributo";
   protected $primaryKey = "psa_codigo";
   protected $fillable = [
      "psa_codigo",
      "psa_fk_atr_codigo",
      "psa_fk_prs_codigo",
      "psa_user_insert",
      "psa_date_insert",
      "psa_fk_mod_codigo"
   ];
   const CREATED_BY = "psa_user_insert";
   const CREATED_AT = "psa_date_insert";

  
   public function product_product_setup_attribute(){
      return $this->hasMany(ProductProductSetupAttribute::class, 'ppsa_fk_psa_codigo');
   }

}
