<?php
/**
 * Created for Schaffen IT.
 * User: Thiago Traczykowski
 */

namespace Schaffen\Core\Product\Traits;

use Schaffen\Core\Product\Models\ProductVarietyPack;
use Schaffen\Core\Product\Scopes\ProductName;

trait HasProduct
{
   public function product_variety_pack()
   {
      return $this->belongsTo(ProductVarietyPack::class, $this->prefix."_fk_pve_codigo", "pve_codigo");
   }
}
